Page MenuHomePhabricator

'trackdebug' mode doesn't work unless debug mode is enabled
Closed, ResolvedPublic

Description

trackdebug uses mw.log, which is a noop unless debug mode is enabled.

Ideally we'd be able to enable trackdebug mode independently of debug mode.

Event Timeline

Esanders created this task.Dec 11 2018, 4:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2018, 4:10 PM

Change 478976 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Allow trackdebug to work independently of debug

https://gerrit.wikimedia.org/r/478976

Esanders claimed this task.Dec 11 2018, 4:13 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 478976 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Allow trackdebug to work independently of debug

https://gerrit.wikimedia.org/r/478976

Change 479465 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/MobileFrontend@master] Allow trackdebug to work independently of debug

https://gerrit.wikimedia.org/r/479465

DLynch added a subscriber: DLynch.Dec 13 2018, 4:01 PM

Second patch for the MobileFrontend side of the logging code, which had the same use of mw.log.

Change 479465 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Allow trackdebug to work independently of debug

https://gerrit.wikimedia.org/r/479465

marcella closed this task as Resolved.Jan 8 2019, 9:42 PM